{ pkgs, ... }:
{
  # unsure whether i still need swayidle, will keep it in and might remove after further testing

  services.swayidle = {
    enable = true;
    events = [
      {
        event = "before-sleep";
        command = "${pkgs.swaylock}/bin/swaylock -fF -c 442244";
      }
      {
        event = "lock";
        command = "swaylock -c 441144";
      }
    ];
  };
}
